WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
winstd::dc_selector Class Reference
GDI API

Context scope DC object restorer. More...

`#include <WinStd/GDI.h>`

## Public Member Functions
| dc_selector (HDC hdc, HGDIOBJ h) noexcept
| Selects an object into the specified device context (DC). The new object replaces the previous object of the same type.
virtual | ~dc_selector ()
| Restores original object.
HGDIOBJ | status () const noexcept
| Return result of `SelectObject()` call.

## Protected Attributes
HDC | m_hdc
| A handle to the device context.
HGDIOBJ | m_orig
| Original object handle.

## Detailed Description

Context scope DC object restorer.

## Constructor & Destructor Documentation

## ◆ dc_selector()

winstd::dc_selector::dc_selector | ( | HDC | hdc,
|  | HGDIOBJ | h )
| inline noexcept

Selects an object into the specified device context (DC). The new object replaces the previous object of the same type.

See also
  SelectObject function

## ◆ ~dc_selector()

virtual winstd::dc_selector::~dc_selector | ( |  | ) |
| inline virtual

Restores original object.

See also
  SelectObject function

## Member Function Documentation

## ◆ status()

HGDIOBJ winstd::dc_selector::status | ( |  | ) | const
| inline noexcept

Return result of `SelectObject()` call.

See also
  SelectObject function

The documentation for this class was generated from the following file:

- include/WinStd/GDI.h